extends Control
class_name CoreItemSub

@onready var icon = $CoreIcon as TextureRect
@onready var slot = $CoreSlot as TextureRect

@onready var icon_empty = load("res://resource/ui/icon/core/empty.png")

func set_icon(value:Texture2D):
	if value:
		icon.texture = value
	else:
		icon.texture = icon_empty
